package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/CleanDataFieldAction.class */
public class CleanDataFieldAction extends LifeAction {
    private List dataFieldList = new LinkedList();

    public String execute(Context context) throws GENEException {
        for (String fieldName : this.dataFieldList) {
            try {
                context.setDataValue(fieldName, (Object) null);
            } catch (ObjectNotFoundException ex) {
                Trace.logWarning("LifeAction", ex.getMessage(), ex);
            } catch (InvalidArgumentException ex2) {
                Trace.logWarning("LifeAction", ex2.getMessage(), ex2);
            }
        }
        return "0";
    }

    public void setDataFieldValues(String dataFieldValues) {
        StringTokenizer toke = new StringTokenizer(dataFieldValues, "||");
        while (toke.hasMoreElements()) {
            String fieldName = ((String) toke.nextElement()).trim();
            this.dataFieldList.add(fieldName);
        }
    }
}
